# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{whois}
  s.version = "1.2.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 1.2") if s.respond_to? :required_rubygems_version=
  s.authors = ["Simone Carletti"]
  s.date = %q{2010-05-31}
  s.default_executable = %q{ruby-whois}
  s.description = %q{    Whois is an intelligent WHOIS client and parser written in pure Ruby.     It can query registry data for IPv4, IPv6 and top level domains,     parse and convert responses into easy-to-use Ruby objects.
}
  s.email = %q{weppos@weppos.net}
  s.executables = ["ruby-whois"]
  s.extra_rdoc_files = ["CHANGELOG.rdoc", "LICENSE.rdoc", "README.rdoc", "bin/ruby-whois", "lib/core_ext.rb", "lib/whois.rb", "lib/whois/answer.rb", "lib/whois/answer/contact.rb", "lib/whois/answer/parser.rb", "lib/whois/answer/parser/NOTES.txt", "lib/whois/answer/parser/ast.rb", "lib/whois/answer/parser/base.rb", "lib/whois/answer/parser/blank.rb", "lib/whois/answer/parser/example.rb", "lib/whois/answer/parser/jobswhois.verisign-grs.com.rb", "lib/whois/answer/parser/scanners/verisign.rb", "lib/whois/answer/parser/whois.adamsnames.tc.rb", "lib/whois/answer/parser/whois.aeda.net.ae.rb", "lib/whois/answer/parser/whois.aero.rb", "lib/whois/answer/parser/whois.afilias-grs.info.rb", "lib/whois/answer/parser/whois.afilias.info.rb", "lib/whois/answer/parser/whois.ai.rb", "lib/whois/answer/parser/whois.arnes.si.rb", "lib/whois/answer/parser/whois.ausregistry.net.au.rb", "lib/whois/answer/parser/whois.biz.rb", "lib/whois/answer/parser/whois.cat.rb", "lib/whois/answer/parser/whois.cira.ca.rb", "lib/whois/answer/parser/whois.cnnic.cn.rb", "lib/whois/answer/parser/whois.cnnic.net.cn.rb", "lib/whois/answer/parser/whois.crsnic.net.rb", "lib/whois/answer/parser/whois.denic.de.rb", "lib/whois/answer/parser/whois.dk-hostmaster.dk.rb", "lib/whois/answer/parser/whois.dns.be.rb", "lib/whois/answer/parser/whois.dns.lu.rb", "lib/whois/answer/parser/whois.dns.pt.rb", "lib/whois/answer/parser/whois.domain-registry.nl.rb", "lib/whois/answer/parser/whois.domainregistry.ie.rb", "lib/whois/answer/parser/whois.domreg.lt.rb", "lib/whois/answer/parser/whois.dot.tk.rb", "lib/whois/answer/parser/whois.dotmobiregistry.net.rb", "lib/whois/answer/parser/whois.educause.edu.rb", "lib/whois/answer/parser/whois.eu.org.rb", "lib/whois/answer/parser/whois.eu.rb", "lib/whois/answer/parser/whois.hkdnr.net.hk.rb", "lib/whois/answer/parser/whois.iana.org.rb", "lib/whois/answer/parser/whois.in.ua.rb", "lib/whois/answer/parser/whois.isnic.is.rb", "lib/whois/answer/parser/whois.jprs.jp.rb", "lib/whois/answer/parser/whois.meregistry.net.rb", "lib/whois/answer/parser/whois.museum.rb", "lib/whois/answer/parser/whois.net.ua.rb", "lib/whois/answer/parser/whois.nic-se.se.rb", "lib/whois/answer/parser/whois.nic.ac.rb", "lib/whois/answer/parser/whois.nic.af.rb", "lib/whois/answer/parser/whois.nic.ag.rb", "lib/whois/answer/parser/whois.nic.am.rb", "lib/whois/answer/parser/whois.nic.as.rb", "lib/whois/answer/parser/whois.nic.asia.rb", "lib/whois/answer/parser/whois.nic.at.rb", "lib/whois/answer/parser/whois.nic.cc.rb", "lib/whois/answer/parser/whois.nic.cd.rb", "lib/whois/answer/parser/whois.nic.ch.rb", "lib/whois/answer/parser/whois.nic.coop.rb", "lib/whois/answer/parser/whois.nic.fr.rb", "lib/whois/answer/parser/whois.nic.gl.rb", "lib/whois/answer/parser/whois.nic.gov.rb", "lib/whois/answer/parser/whois.nic.ht.rb", "lib/whois/answer/parser/whois.nic.hu.rb", "lib/whois/answer/parser/whois.nic.im.rb", "lib/whois/answer/parser/whois.nic.io.rb", "lib/whois/answer/parser/whois.nic.it.rb", "lib/whois/answer/parser/whois.nic.lv.rb", "lib/whois/answer/parser/whois.nic.ly.rb", "lib/whois/answer/parser/whois.nic.mu.rb", "lib/whois/answer/parser/whois.nic.mx.rb", "lib/whois/answer/parser/whois.nic.name.rb", "lib/whois/answer/parser/whois.nic.nu.rb", "lib/whois/answer/parser/whois.nic.or.kr.rb", "lib/whois/answer/parser/whois.nic.sn.rb", "lib/whois/answer/parser/whois.nic.st.rb", "lib/whois/answer/parser/whois.nic.tel.rb", "lib/whois/answer/parser/whois.nic.tl.rb", "lib/whois/answer/parser/whois.nic.tr.rb", "lib/whois/answer/parser/whois.nic.travel.rb", "lib/whois/answer/parser/whois.nic.tv.rb", "lib/whois/answer/parser/whois.nic.uk.rb", "lib/whois/answer/parser/whois.nic.us.rb", "lib/whois/answer/parser/whois.nic.ve.rb", "lib/whois/answer/parser/whois.norid.no.rb", "lib/whois/answer/parser/whois.pandi.or.id.rb", "lib/whois/answer/parser/whois.publicinterestregistry.net.rb", "lib/whois/answer/parser/whois.register.bg.rb", "lib/whois/answer/parser/whois.registro.br.rb", "lib/whois/answer/parser/whois.registry.in.rb", "lib/whois/answer/parser/whois.registrypro.pro.rb", "lib/whois/answer/parser/whois.ripe.net.rb", "lib/whois/answer/parser/whois.ripn.net.rb", "lib/whois/answer/parser/whois.rotld.ro.rb", "lib/whois/answer/parser/whois.samoanic.ws.rb", "lib/whois/answer/parser/whois.srs.net.nz.rb", "lib/whois/answer/parser/whois.za.net.rb", "lib/whois/answer/parser/whois.za.org.rb", "lib/whois/answer/part.rb", "lib/whois/answer/registrar.rb", "lib/whois/answer/super_struct.rb", "lib/whois/client.rb", "lib/whois/definitions/NOTES.txt", "lib/whois/definitions/ipv4.rb", "lib/whois/definitions/ipv6.rb", "lib/whois/definitions/tlds.rb", "lib/whois/errors.rb", "lib/whois/server.rb", "lib/whois/server/adapters/afilias.rb", "lib/whois/server/adapters/arpa.rb", "lib/whois/server/adapters/base.rb", "lib/whois/server/adapters/formatted.rb", "lib/whois/server/adapters/none.rb", "lib/whois/server/adapters/not_implemented.rb", "lib/whois/server/adapters/pir.rb", "lib/whois/server/adapters/standard.rb", "lib/whois/server/adapters/verisign.rb", "lib/whois/server/adapters/web.rb", "lib/whois/version.rb", "tasks/server.rake"]
  s.files = ["CHANGELOG.rdoc", "LICENSE.rdoc", "Manifest", "README.rdoc", "Rakefile", "bin/ruby-whois", "data/ip6_del_list", "data/ip_del_list", "data/make_ip6_del.pl", "data/make_ip_del.pl", "data/make_servers_charset.pl", "data/make_tld_serv.pl", "data/servers_charset_list", "data/tld_serv_list", "lib/core_ext.rb", "lib/whois.rb", "lib/whois/answer.rb", "lib/whois/answer/contact.rb", "lib/whois/answer/parser.rb", "lib/whois/answer/parser/NOTES.txt", "lib/whois/answer/parser/ast.rb", "lib/whois/answer/parser/base.rb", "lib/whois/answer/parser/blank.rb", "lib/whois/answer/parser/example.rb", "lib/whois/answer/parser/jobswhois.verisign-grs.com.rb", "lib/whois/answer/parser/scanners/verisign.rb", "lib/whois/answer/parser/whois.adamsnames.tc.rb", "lib/whois/answer/parser/whois.aeda.net.ae.rb", "lib/whois/answer/parser/whois.aero.rb", "lib/whois/answer/parser/whois.afilias-grs.info.rb", "lib/whois/answer/parser/whois.afilias.info.rb", "lib/whois/answer/parser/whois.ai.rb", "lib/whois/answer/parser/whois.arnes.si.rb", "lib/whois/answer/parser/whois.ausregistry.net.au.rb", "lib/whois/answer/parser/whois.biz.rb", "lib/whois/answer/parser/whois.cat.rb", "lib/whois/answer/parser/whois.cira.ca.rb", "lib/whois/answer/parser/whois.cnnic.cn.rb", "lib/whois/answer/parser/whois.cnnic.net.cn.rb", "lib/whois/answer/parser/whois.crsnic.net.rb", "lib/whois/answer/parser/whois.denic.de.rb", "lib/whois/answer/parser/whois.dk-hostmaster.dk.rb", "lib/whois/answer/parser/whois.dns.be.rb", "lib/whois/answer/parser/whois.dns.lu.rb", "lib/whois/answer/parser/whois.dns.pt.rb", "lib/whois/answer/parser/whois.domain-registry.nl.rb", "lib/whois/answer/parser/whois.domainregistry.ie.rb", "lib/whois/answer/parser/whois.domreg.lt.rb", "lib/whois/answer/parser/whois.dot.tk.rb", "lib/whois/answer/parser/whois.dotmobiregistry.net.rb", "lib/whois/answer/parser/whois.educause.edu.rb", "lib/whois/answer/parser/whois.eu.org.rb", "lib/whois/answer/parser/whois.eu.rb", "lib/whois/answer/parser/whois.hkdnr.net.hk.rb", "lib/whois/answer/parser/whois.iana.org.rb", "lib/whois/answer/parser/whois.in.ua.rb", "lib/whois/answer/parser/whois.isnic.is.rb", "lib/whois/answer/parser/whois.jprs.jp.rb", "lib/whois/answer/parser/whois.meregistry.net.rb", "lib/whois/answer/parser/whois.museum.rb", "lib/whois/answer/parser/whois.net.ua.rb", "lib/whois/answer/parser/whois.nic-se.se.rb", "lib/whois/answer/parser/whois.nic.ac.rb", "lib/whois/answer/parser/whois.nic.af.rb", "lib/whois/answer/parser/whois.nic.ag.rb", "lib/whois/answer/parser/whois.nic.am.rb", "lib/whois/answer/parser/whois.nic.as.rb", "lib/whois/answer/parser/whois.nic.asia.rb", "lib/whois/answer/parser/whois.nic.at.rb", "lib/whois/answer/parser/whois.nic.cc.rb", "lib/whois/answer/parser/whois.nic.cd.rb", "lib/whois/answer/parser/whois.nic.ch.rb", "lib/whois/answer/parser/whois.nic.coop.rb", "lib/whois/answer/parser/whois.nic.fr.rb", "lib/whois/answer/parser/whois.nic.gl.rb", "lib/whois/answer/parser/whois.nic.gov.rb", "lib/whois/answer/parser/whois.nic.ht.rb", "lib/whois/answer/parser/whois.nic.hu.rb", "lib/whois/answer/parser/whois.nic.im.rb", "lib/whois/answer/parser/whois.nic.io.rb", "lib/whois/answer/parser/whois.nic.it.rb", "lib/whois/answer/parser/whois.nic.lv.rb", "lib/whois/answer/parser/whois.nic.ly.rb", "lib/whois/answer/parser/whois.nic.mu.rb", "lib/whois/answer/parser/whois.nic.mx.rb", "lib/whois/answer/parser/whois.nic.name.rb", "lib/whois/answer/parser/whois.nic.nu.rb", "lib/whois/answer/parser/whois.nic.or.kr.rb", "lib/whois/answer/parser/whois.nic.sn.rb", "lib/whois/answer/parser/whois.nic.st.rb", "lib/whois/answer/parser/whois.nic.tel.rb", "lib/whois/answer/parser/whois.nic.tl.rb", "lib/whois/answer/parser/whois.nic.tr.rb", "lib/whois/answer/parser/whois.nic.travel.rb", "lib/whois/answer/parser/whois.nic.tv.rb", "lib/whois/answer/parser/whois.nic.uk.rb", "lib/whois/answer/parser/whois.nic.us.rb", "lib/whois/answer/parser/whois.nic.ve.rb", "lib/whois/answer/parser/whois.norid.no.rb", "lib/whois/answer/parser/whois.pandi.or.id.rb", "lib/whois/answer/parser/whois.publicinterestregistry.net.rb", "lib/whois/answer/parser/whois.register.bg.rb", "lib/whois/answer/parser/whois.registro.br.rb", "lib/whois/answer/parser/whois.registry.in.rb", "lib/whois/answer/parser/whois.registrypro.pro.rb", "lib/whois/answer/parser/whois.ripe.net.rb", "lib/whois/answer/parser/whois.ripn.net.rb", "lib/whois/answer/parser/whois.rotld.ro.rb", "lib/whois/answer/parser/whois.samoanic.ws.rb", "lib/whois/answer/parser/whois.srs.net.nz.rb", "lib/whois/answer/parser/whois.za.net.rb", "lib/whois/answer/parser/whois.za.org.rb", "lib/whois/answer/part.rb", "lib/whois/answer/registrar.rb", "lib/whois/answer/super_struct.rb", "lib/whois/client.rb", "lib/whois/definitions/NOTES.txt", "lib/whois/definitions/ipv4.rb", "lib/whois/definitions/ipv6.rb", "lib/whois/definitions/tlds.rb", "lib/whois/errors.rb", "lib/whois/server.rb", "lib/whois/server/adapters/afilias.rb", "lib/whois/server/adapters/arpa.rb", "lib/whois/server/adapters/base.rb", "lib/whois/server/adapters/formatted.rb", "lib/whois/server/adapters/none.rb", "lib/whois/server/adapters/not_implemented.rb", "lib/whois/server/adapters/pir.rb", "lib/whois/server/adapters/standard.rb", "lib/whois/server/adapters/verisign.rb", "lib/whois/server/adapters/web.rb", "lib/whois/version.rb", "tasks/server.rake", "test/list_tld", "test/test_helper.rb", "test/testcases/referrals/afilias.bz.txt", "test/testcases/referrals/crsnic.com.txt", "test/testcases/referrals/crsnic.com_more_servers.txt", "test/testcases/referrals/crsnic.com_one_server.txt", "test/testcases/referrals/niccc.cc.txt", "test/testcases/referrals/pir.org.txt", "test/testcases/responses/UTF8.txt", "test/testcases/responses/jobswhois.verisign-grs.com/available.txt", "test/testcases/responses/jobswhois.verisign-grs.com/property_registrar.txt", "test/testcases/responses/jobswhois.verisign-grs.com/registered.txt", "test/testcases/responses/whois.adamsnames.tc/gd/available.txt", "test/testcases/responses/whois.adamsnames.tc/gd/registered.txt", "test/testcases/responses/whois.adamsnames.tc/tc/available.txt", "test/testcases/responses/whois.adamsnames.tc/tc/registered.txt", "test/testcases/responses/whois.adamsnames.tc/vg/available.txt", "test/testcases/responses/whois.adamsnames.tc/vg/registered.txt", "test/testcases/responses/whois.aeda.net.ae/available.txt", "test/testcases/responses/whois.aeda.net.ae/registered.txt", "test/testcases/responses/whois.aero/available.txt", "test/testcases/responses/whois.aero/registered.txt", "test/testcases/responses/whois.afilias-grs.info/bz/available.txt", "test/testcases/responses/whois.afilias-grs.info/bz/registered.txt", "test/testcases/responses/whois.afilias-grs.info/gi/available.txt", "test/testcases/responses/whois.afilias-grs.info/gi/registered.txt", "test/testcases/responses/whois.afilias-grs.info/hn/available.txt", "test/testcases/responses/whois.afilias-grs.info/hn/registered.txt", "test/testcases/responses/whois.afilias-grs.info/lc/available.txt", "test/testcases/responses/whois.afilias-grs.info/lc/registered.txt", "test/testcases/responses/whois.afilias-grs.info/mn/available.txt", "test/testcases/responses/whois.afilias-grs.info/mn/registered.txt", "test/testcases/responses/whois.afilias-grs.info/sc/available.txt", "test/testcases/responses/whois.afilias-grs.info/sc/registered.txt", "test/testcases/responses/whois.afilias-grs.info/vc/available.txt", "test/testcases/responses/whois.afilias-grs.info/vc/registered.txt", "test/testcases/responses/whois.afilias.info/available.txt", "test/testcases/responses/whois.afilias.info/registered.txt", "test/testcases/responses/whois.ai/available.txt", "test/testcases/responses/whois.ai/registered.txt", "test/testcases/responses/whois.arnes.si/available.txt", "test/testcases/responses/whois.arnes.si/registered.txt", "test/testcases/responses/whois.ausregistry.net.au/available.txt", "test/testcases/responses/whois.ausregistry.net.au/registered.txt", "test/testcases/responses/whois.biz/available.txt", "test/testcases/responses/whois.biz/registered.txt", "test/testcases/responses/whois.cat/available.txt", "test/testcases/responses/whois.cat/registered.txt", "test/testcases/responses/whois.cira.ca/available.txt", "test/testcases/responses/whois.cira.ca/registered.txt", "test/testcases/responses/whois.cnnic.cn/available.txt", "test/testcases/responses/whois.cnnic.cn/registered.txt", "test/testcases/responses/whois.crsnic.net/MULTIPLE.txt", "test/testcases/responses/whois.crsnic.net/available.txt", "test/testcases/responses/whois.crsnic.net/nameservers_with_no_nameserver.txt", "test/testcases/responses/whois.crsnic.net/registered.txt", "test/testcases/responses/whois.crsnic.net/registered_with_multiple_entries.txt", "test/testcases/responses/whois.denic.de/1-10-0_available.txt", "test/testcases/responses/whois.denic.de/1-10-0_registered.txt", "test/testcases/responses/whois.denic.de/available.txt", "test/testcases/responses/whois.denic.de/error_invalid_domain_name.txt", "test/testcases/responses/whois.denic.de/property_nameservers_with_ip.txt", "test/testcases/responses/whois.denic.de/property_technical_contact.txt", "test/testcases/responses/whois.denic.de/registered.txt", "test/testcases/responses/whois.dk-hostmaster.dk/available.txt", "test/testcases/responses/whois.dk-hostmaster.dk/registered.txt", "test/testcases/responses/whois.dns.be/available.txt", "test/testcases/responses/whois.dns.be/registered.txt", "test/testcases/responses/whois.dns.lu/available.txt", "test/testcases/responses/whois.dns.lu/property_nameservers_with_ip.txt", "test/testcases/responses/whois.dns.lu/registered.txt", "test/testcases/responses/whois.dns.pt/available.txt", "test/testcases/responses/whois.dns.pt/registered.txt", "test/testcases/responses/whois.domain-registry.nl/available.txt", "test/testcases/responses/whois.domain-registry.nl/registered.txt", "test/testcases/responses/whois.domainregistry.ie/available.txt", "test/testcases/responses/whois.domainregistry.ie/registered.txt", "test/testcases/responses/whois.domreg.lt/available.txt", "test/testcases/responses/whois.domreg.lt/property_nameservers_with_ip.txt", "test/testcases/responses/whois.domreg.lt/registered.txt", "test/testcases/responses/whois.dot.tk/available.txt", "test/testcases/responses/whois.dot.tk/registered.txt", "test/testcases/responses/whois.dotmobiregistry.net/available.txt", "test/testcases/responses/whois.dotmobiregistry.net/registered.txt", "test/testcases/responses/whois.educause.edu/available.txt", "test/testcases/responses/whois.educause.edu/registered.txt", "test/testcases/responses/whois.eu.org/available.txt", "test/testcases/responses/whois.eu.org/registered.txt", "test/testcases/responses/whois.eu/available.txt", "test/testcases/responses/whois.eu/property_nameservers_with_ip.txt", "test/testcases/responses/whois.eu/registered.txt", "test/testcases/responses/whois.hkdnr.net.hk/available.txt", "test/testcases/responses/whois.hkdnr.net.hk/registered.txt", "test/testcases/responses/whois.iana.org/MULTIPLE.txt", "test/testcases/responses/whois.iana.org/available.txt", "test/testcases/responses/whois.iana.org/registered.txt", "test/testcases/responses/whois.in.ua/available.txt", "test/testcases/responses/whois.in.ua/registered.txt", "test/testcases/responses/whois.isnic.is/available.txt", "test/testcases/responses/whois.isnic.is/registered.txt", "test/testcases/responses/whois.jprs.jp/available.txt", "test/testcases/responses/whois.jprs.jp/registered.txt", "test/testcases/responses/whois.meregistry.net/available.txt", "test/testcases/responses/whois.meregistry.net/registered.txt", "test/testcases/responses/whois.museum/available.txt", "test/testcases/responses/whois.museum/registered.txt", "test/testcases/responses/whois.net.ua/available.txt", "test/testcases/responses/whois.net.ua/property_nameservers_uppercase.txt", "test/testcases/responses/whois.net.ua/redirect_to_whois.in.ua.txt", "test/testcases/responses/whois.net.ua/registered.txt", "test/testcases/responses/whois.nic-se.se/available.txt", "test/testcases/responses/whois.nic-se.se/property_nameservers_with_ip.txt", "test/testcases/responses/whois.nic-se.se/registered.txt", "test/testcases/responses/whois.nic.ac/available.txt", "test/testcases/responses/whois.nic.ac/registered.txt", "test/testcases/responses/whois.nic.af/available.txt", "test/testcases/responses/whois.nic.af/registered.txt", "test/testcases/responses/whois.nic.ag/available.txt", "test/testcases/responses/whois.nic.ag/registered.txt", "test/testcases/responses/whois.nic.am/available.txt", "test/testcases/responses/whois.nic.am/registered.txt", "test/testcases/responses/whois.nic.as/available.txt", "test/testcases/responses/whois.nic.as/registered.txt", "test/testcases/responses/whois.nic.asia/available.txt", "test/testcases/responses/whois.nic.asia/registered.txt", "test/testcases/responses/whois.nic.at/available.txt", "test/testcases/responses/whois.nic.at/registered.txt", "test/testcases/responses/whois.nic.cc/available.txt", "test/testcases/responses/whois.nic.cc/registered.txt", "test/testcases/responses/whois.nic.cd/available.txt", "test/testcases/responses/whois.nic.cd/registered.txt", "test/testcases/responses/whois.nic.ch/available.txt", "test/testcases/responses/whois.nic.ch/property_nameservers_with_ip.txt", "test/testcases/responses/whois.nic.ch/registered.txt", "test/testcases/responses/whois.nic.coop/available.txt", "test/testcases/responses/whois.nic.coop/registered.txt", "test/testcases/responses/whois.nic.fr/fr/available.txt", "test/testcases/responses/whois.nic.fr/fr/registered.txt", "test/testcases/responses/whois.nic.fr/pm/available.txt", "test/testcases/responses/whois.nic.fr/pm/registered.txt", "test/testcases/responses/whois.nic.fr/re/available.txt", "test/testcases/responses/whois.nic.fr/re/registered.txt", "test/testcases/responses/whois.nic.fr/wf/available.txt", "test/testcases/responses/whois.nic.fr/wf/registered.txt", "test/testcases/responses/whois.nic.fr/yt/available.txt", "test/testcases/responses/whois.nic.fr/yt/registered.txt", "test/testcases/responses/whois.nic.gl/available.txt", "test/testcases/responses/whois.nic.gl/registered.txt", "test/testcases/responses/whois.nic.gov/available.txt", "test/testcases/responses/whois.nic.gov/registered.txt", "test/testcases/responses/whois.nic.ht/available.txt", "test/testcases/responses/whois.nic.ht/registered.txt", "test/testcases/responses/whois.nic.hu/current/available.txt", "test/testcases/responses/whois.nic.hu/current/registered.txt", "test/testcases/responses/whois.nic.hu/v1.99/available.txt", "test/testcases/responses/whois.nic.hu/v1.99/in_progress.txt", "test/testcases/responses/whois.nic.hu/v1.99/property_registrant_as_company.txt", "test/testcases/responses/whois.nic.hu/v1.99/property_registrant_as_private_person.txt", "test/testcases/responses/whois.nic.hu/v1.99/property_registrant_without_address.txt", "test/testcases/responses/whois.nic.hu/v1.99/registered.txt", "test/testcases/responses/whois.nic.im/available.txt", "test/testcases/responses/whois.nic.im/registered.txt", "test/testcases/responses/whois.nic.io/available.txt", "test/testcases/responses/whois.nic.io/registered.txt", "test/testcases/responses/whois.nic.it/available.txt", "test/testcases/responses/whois.nic.it/property_admin_contact.txt", "test/testcases/responses/whois.nic.it/property_registrant_contact.txt", "test/testcases/responses/whois.nic.it/property_status_active.txt", "test/testcases/responses/whois.nic.it/property_status_available.txt", "test/testcases/responses/whois.nic.it/property_technical_contact.txt", "test/testcases/responses/whois.nic.it/registered.txt", "test/testcases/responses/whois.nic.lv/available.txt", "test/testcases/responses/whois.nic.lv/registered.txt", "test/testcases/responses/whois.nic.ly/available.txt", "test/testcases/responses/whois.nic.ly/registered.txt", "test/testcases/responses/whois.nic.mu/ki/available.txt", "test/testcases/responses/whois.nic.mu/ki/registered.txt", "test/testcases/responses/whois.nic.mu/mu/available.txt", "test/testcases/responses/whois.nic.mu/mu/registered.txt", "test/testcases/responses/whois.nic.mx/available.txt", "test/testcases/responses/whois.nic.mx/registered.txt", "test/testcases/responses/whois.nic.name/available.txt", "test/testcases/responses/whois.nic.name/registered.txt", "test/testcases/responses/whois.nic.name/reserved.txt", "test/testcases/responses/whois.nic.nu/available.txt", "test/testcases/responses/whois.nic.nu/registered.txt", "test/testcases/responses/whois.nic.or.kr/available.txt", "test/testcases/responses/whois.nic.or.kr/registered.txt", "test/testcases/responses/whois.nic.sn/available.txt", "test/testcases/responses/whois.nic.sn/registered.txt", "test/testcases/responses/whois.nic.st/available.txt", "test/testcases/responses/whois.nic.st/registered.txt", "test/testcases/responses/whois.nic.tel/available.txt", "test/testcases/responses/whois.nic.tel/registered.txt", "test/testcases/responses/whois.nic.tl/available.txt", "test/testcases/responses/whois.nic.tl/registered.txt", "test/testcases/responses/whois.nic.tr/available.txt", "test/testcases/responses/whois.nic.tr/property_nameservers_with_trailing_space.txt", "test/testcases/responses/whois.nic.tr/registered.txt", "test/testcases/responses/whois.nic.travel/available.txt", "test/testcases/responses/whois.nic.travel/registered.txt", "test/testcases/responses/whois.nic.tv/available.txt", "test/testcases/responses/whois.nic.tv/registered.txt", "test/testcases/responses/whois.nic.uk/available.txt", "test/testcases/responses/whois.nic.uk/invalid.txt", "test/testcases/responses/whois.nic.uk/registered.txt", "test/testcases/responses/whois.nic.us/available.txt", "test/testcases/responses/whois.nic.us/registered.txt", "test/testcases/responses/whois.nic.ve/available.txt", "test/testcases/responses/whois.nic.ve/registered.txt", "test/testcases/responses/whois.norid.no/available.txt", "test/testcases/responses/whois.norid.no/registered.txt", "test/testcases/responses/whois.pandi.or.id/available.txt", "test/testcases/responses/whois.pandi.or.id/registered.txt", "test/testcases/responses/whois.publicinterestregistry.net/available.txt", "test/testcases/responses/whois.publicinterestregistry.net/registered.txt", "test/testcases/responses/whois.publicinterestregistry.net/throttle.txt", "test/testcases/responses/whois.register.bg/available.txt", "test/testcases/responses/whois.register.bg/property_nameservers_with_ip.txt", "test/testcases/responses/whois.register.bg/registered.txt", "test/testcases/responses/whois.registro.br/available.txt", "test/testcases/responses/whois.registro.br/registered.txt", "test/testcases/responses/whois.registry.in/available.txt", "test/testcases/responses/whois.registry.in/registered.txt", "test/testcases/responses/whois.registrypro.pro/available.txt", "test/testcases/responses/whois.registrypro.pro/registered.txt", "test/testcases/responses/whois.ripe.net/fo/available.txt", "test/testcases/responses/whois.ripe.net/fo/registered.txt", "test/testcases/responses/whois.ripe.net/gm/available.txt", "test/testcases/responses/whois.ripe.net/gm/registered.txt", "test/testcases/responses/whois.ripe.net/mc/available.txt", "test/testcases/responses/whois.ripe.net/mc/registered.txt", "test/testcases/responses/whois.ripe.net/sm/available.txt", "test/testcases/responses/whois.ripe.net/sm/registered.txt", "test/testcases/responses/whois.ripe.net/va/available.txt", "test/testcases/responses/whois.ripe.net/va/registered.txt", "test/testcases/responses/whois.ripn.net/ru/available.txt", "test/testcases/responses/whois.ripn.net/ru/property_nameservers_with_ip.txt", "test/testcases/responses/whois.ripn.net/ru/registered.txt", "test/testcases/responses/whois.ripn.net/su/available.txt", "test/testcases/responses/whois.ripn.net/su/registered.txt", "test/testcases/responses/whois.rotld.ro/available.txt", "test/testcases/responses/whois.rotld.ro/registered.txt", "test/testcases/responses/whois.samoanic.ws/available.txt", "test/testcases/responses/whois.samoanic.ws/registered.txt", "test/testcases/responses/whois.srs.net.nz/available.txt", "test/testcases/responses/whois.srs.net.nz/invalid.txt", "test/testcases/responses/whois.srs.net.nz/registered.txt", "test/testcases/responses/whois.za.net/available.txt", "test/testcases/responses/whois.za.net/registered.txt", "test/testcases/responses/whois.za.org/available.txt", "test/testcases/responses/whois.za.org/registered.txt", "test/whois/answer/contact_test.rb", "test/whois/answer/parser/base_test.rb", "test/whois/answer/parser/blank_test.rb", "test/whois/answer/parser/jobswhois.verisign-grs.com_test.rb", "test/whois/answer/parser/whois.adamsnames.tc_test.rb", "test/whois/answer/parser/whois.aeda.net.ae_test.rb", "test/whois/answer/parser/whois.aero_test.rb", "test/whois/answer/parser/whois.afilias-grs.info_test.rb", "test/whois/answer/parser/whois.afilias.info_test.rb", "test/whois/answer/parser/whois.ai_test.rb", "test/whois/answer/parser/whois.arnes.si_test.rb", "test/whois/answer/parser/whois.ausregistry.net.au_test.rb", "test/whois/answer/parser/whois.biz_test.rb", "test/whois/answer/parser/whois.cat_test.rb", "test/whois/answer/parser/whois.cira.ca_test.rb", "test/whois/answer/parser/whois.cnnic.cn_test.rb", "test/whois/answer/parser/whois.cnnic.net.cn_test.rb", "test/whois/answer/parser/whois.crsnic.net_test.rb", "test/whois/answer/parser/whois.denic.de_test.rb", "test/whois/answer/parser/whois.dk-hostmaster.dk_test.rb", "test/whois/answer/parser/whois.dns.be_test.rb", "test/whois/answer/parser/whois.dns.lu_test.rb", "test/whois/answer/parser/whois.dns.pt_test.rb", "test/whois/answer/parser/whois.domain-registry.nl_test.rb", "test/whois/answer/parser/whois.domainregistry.ie_test.rb", "test/whois/answer/parser/whois.domreg.lt_test.rb", "test/whois/answer/parser/whois.dot.tk_test.rb", "test/whois/answer/parser/whois.dotmobiregistry.net_test.rb", "test/whois/answer/parser/whois.educause.edu_test.rb", "test/whois/answer/parser/whois.eu.org_test.rb", "test/whois/answer/parser/whois.eu_test.rb", "test/whois/answer/parser/whois.hkdnr.net.hk_test.rb", "test/whois/answer/parser/whois.iana.org_test.rb", "test/whois/answer/parser/whois.in.ua_test.rb", "test/whois/answer/parser/whois.isnic.is_test.rb", "test/whois/answer/parser/whois.jprs.jp_test.rb", "test/whois/answer/parser/whois.meregistry.net_test.rb", "test/whois/answer/parser/whois.museum_test.rb", "test/whois/answer/parser/whois.net.ua_test.rb", "test/whois/answer/parser/whois.nic-se.se_test.rb", "test/whois/answer/parser/whois.nic.ac_test.rb", "test/whois/answer/parser/whois.nic.af_test.rb", "test/whois/answer/parser/whois.nic.ag_test.rb", "test/whois/answer/parser/whois.nic.am_test.rb", "test/whois/answer/parser/whois.nic.as_test.rb", "test/whois/answer/parser/whois.nic.asia_test.rb", "test/whois/answer/parser/whois.nic.at_test.rb", "test/whois/answer/parser/whois.nic.cc_test.rb", "test/whois/answer/parser/whois.nic.cd_test.rb", "test/whois/answer/parser/whois.nic.ch_test.rb", "test/whois/answer/parser/whois.nic.coop_test.rb", "test/whois/answer/parser/whois.nic.fr_test.rb", "test/whois/answer/parser/whois.nic.gl_test.rb", "test/whois/answer/parser/whois.nic.gov_test.rb", "test/whois/answer/parser/whois.nic.ht_test.rb", "test/whois/answer/parser/whois.nic.hu_test.rb", "test/whois/answer/parser/whois.nic.im_test.rb", "test/whois/answer/parser/whois.nic.io_test.rb", "test/whois/answer/parser/whois.nic.it_test.rb", "test/whois/answer/parser/whois.nic.lv_test.rb", "test/whois/answer/parser/whois.nic.ly_test.rb", "test/whois/answer/parser/whois.nic.mu_test.rb", "test/whois/answer/parser/whois.nic.mx_test.rb", "test/whois/answer/parser/whois.nic.name_test.rb", "test/whois/answer/parser/whois.nic.nu_test.rb", "test/whois/answer/parser/whois.nic.or.kr_test.rb", "test/whois/answer/parser/whois.nic.sn_test.rb", "test/whois/answer/parser/whois.nic.st_test.rb", "test/whois/answer/parser/whois.nic.tel_test.rb", "test/whois/answer/parser/whois.nic.tl_test.rb", "test/whois/answer/parser/whois.nic.tr_test.rb", "test/whois/answer/parser/whois.nic.travel_test.rb", "test/whois/answer/parser/whois.nic.tv_test.rb", "test/whois/answer/parser/whois.nic.uk_test.rb", "test/whois/answer/parser/whois.nic.us_test.rb", "test/whois/answer/parser/whois.nic.ve_test.rb", "test/whois/answer/parser/whois.norid.no_test.rb", "test/whois/answer/parser/whois.pandi.or.id_test.rb", "test/whois/answer/parser/whois.publicinterestregistry.net_test.rb", "test/whois/answer/parser/whois.register.bg_test.rb", "test/whois/answer/parser/whois.registro.br_test.rb", "test/whois/answer/parser/whois.registry.in_test.rb", "test/whois/answer/parser/whois.registrypro.pro_test.rb", "test/whois/answer/parser/whois.ripe.net_test.rb", "test/whois/answer/parser/whois.ripn.net_test.rb", "test/whois/answer/parser/whois.rotld.ro_test.rb", "test/whois/answer/parser/whois.samoanic.ws_test.rb", "test/whois/answer/parser/whois.srs.net.nz_test.rb", "test/whois/answer/parser/whois.za.net_test.rb", "test/whois/answer/parser/whois.za.org_test.rb", "test/whois/answer/parser_test.rb", "test/whois/answer/super_struct_test.rb", "test/whois/answer_test.rb", "test/whois/client_test.rb", "test/whois/errors_test.rb", "test/whois/integration_test.rb", "test/whois/server/adapters/afilias_test.rb", "test/whois/server/adapters/base_test.rb", "test/whois/server/adapters/formatted_test.rb", "test/whois/server/adapters/none_test.rb", "test/whois/server/adapters/not_implemented_test.rb", "test/whois/server/adapters/pir_test.rb", "test/whois/server/adapters/standard_test.rb", "test/whois/server/adapters/verisign_test.rb", "test/whois/server/adapters/web_test.rb", "test/whois/server_test.rb", "utils/bm_delegation_vs_inheritance.rb", "utils/bm_shell_vs_pure.rb", "whois.gemspec"]
  s.homepage = %q{http://www.ruby-whois.org}
  s.rdoc_options = ["--inline-source"]
  s.require_paths = ["lib"]
  s.rubyforge_project = %q{whois}
  s.rubygems_version = %q{1.3.7}
  s.summary = %q{An intelligent pure Ruby WHOIS client and parser.}
  s.test_files = ["test/test_helper.rb", "test/whois/answer/contact_test.rb", "test/whois/answer/parser/base_test.rb", "test/whois/answer/parser/blank_test.rb", "test/whois/answer/parser/jobswhois.verisign-grs.com_test.rb", "test/whois/answer/parser/whois.adamsnames.tc_test.rb", "test/whois/answer/parser/whois.aeda.net.ae_test.rb", "test/whois/answer/parser/whois.aero_test.rb", "test/whois/answer/parser/whois.afilias-grs.info_test.rb", "test/whois/answer/parser/whois.afilias.info_test.rb", "test/whois/answer/parser/whois.ai_test.rb", "test/whois/answer/parser/whois.arnes.si_test.rb", "test/whois/answer/parser/whois.ausregistry.net.au_test.rb", "test/whois/answer/parser/whois.biz_test.rb", "test/whois/answer/parser/whois.cat_test.rb", "test/whois/answer/parser/whois.cira.ca_test.rb", "test/whois/answer/parser/whois.cnnic.cn_test.rb", "test/whois/answer/parser/whois.cnnic.net.cn_test.rb", "test/whois/answer/parser/whois.crsnic.net_test.rb", "test/whois/answer/parser/whois.denic.de_test.rb", "test/whois/answer/parser/whois.dk-hostmaster.dk_test.rb", "test/whois/answer/parser/whois.dns.be_test.rb", "test/whois/answer/parser/whois.dns.lu_test.rb", "test/whois/answer/parser/whois.dns.pt_test.rb", "test/whois/answer/parser/whois.domain-registry.nl_test.rb", "test/whois/answer/parser/whois.domainregistry.ie_test.rb", "test/whois/answer/parser/whois.domreg.lt_test.rb", "test/whois/answer/parser/whois.dot.tk_test.rb", "test/whois/answer/parser/whois.dotmobiregistry.net_test.rb", "test/whois/answer/parser/whois.educause.edu_test.rb", "test/whois/answer/parser/whois.eu.org_test.rb", "test/whois/answer/parser/whois.eu_test.rb", "test/whois/answer/parser/whois.hkdnr.net.hk_test.rb", "test/whois/answer/parser/whois.iana.org_test.rb", "test/whois/answer/parser/whois.in.ua_test.rb", "test/whois/answer/parser/whois.isnic.is_test.rb", "test/whois/answer/parser/whois.jprs.jp_test.rb", "test/whois/answer/parser/whois.meregistry.net_test.rb", "test/whois/answer/parser/whois.museum_test.rb", "test/whois/answer/parser/whois.net.ua_test.rb", "test/whois/answer/parser/whois.nic-se.se_test.rb", "test/whois/answer/parser/whois.nic.ac_test.rb", "test/whois/answer/parser/whois.nic.af_test.rb", "test/whois/answer/parser/whois.nic.ag_test.rb", "test/whois/answer/parser/whois.nic.am_test.rb", "test/whois/answer/parser/whois.nic.as_test.rb", "test/whois/answer/parser/whois.nic.asia_test.rb", "test/whois/answer/parser/whois.nic.at_test.rb", "test/whois/answer/parser/whois.nic.cc_test.rb", "test/whois/answer/parser/whois.nic.cd_test.rb", "test/whois/answer/parser/whois.nic.ch_test.rb", "test/whois/answer/parser/whois.nic.coop_test.rb", "test/whois/answer/parser/whois.nic.fr_test.rb", "test/whois/answer/parser/whois.nic.gl_test.rb", "test/whois/answer/parser/whois.nic.gov_test.rb", "test/whois/answer/parser/whois.nic.ht_test.rb", "test/whois/answer/parser/whois.nic.hu_test.rb", "test/whois/answer/parser/whois.nic.im_test.rb", "test/whois/answer/parser/whois.nic.io_test.rb", "test/whois/answer/parser/whois.nic.it_test.rb", "test/whois/answer/parser/whois.nic.lv_test.rb", "test/whois/answer/parser/whois.nic.ly_test.rb", "test/whois/answer/parser/whois.nic.mu_test.rb", "test/whois/answer/parser/whois.nic.mx_test.rb", "test/whois/answer/parser/whois.nic.name_test.rb", "test/whois/answer/parser/whois.nic.nu_test.rb", "test/whois/answer/parser/whois.nic.or.kr_test.rb", "test/whois/answer/parser/whois.nic.sn_test.rb", "test/whois/answer/parser/whois.nic.st_test.rb", "test/whois/answer/parser/whois.nic.tel_test.rb", "test/whois/answer/parser/whois.nic.tl_test.rb", "test/whois/answer/parser/whois.nic.tr_test.rb", "test/whois/answer/parser/whois.nic.travel_test.rb", "test/whois/answer/parser/whois.nic.tv_test.rb", "test/whois/answer/parser/whois.nic.uk_test.rb", "test/whois/answer/parser/whois.nic.us_test.rb", "test/whois/answer/parser/whois.nic.ve_test.rb", "test/whois/answer/parser/whois.norid.no_test.rb", "test/whois/answer/parser/whois.pandi.or.id_test.rb", "test/whois/answer/parser/whois.publicinterestregistry.net_test.rb", "test/whois/answer/parser/whois.register.bg_test.rb", "test/whois/answer/parser/whois.registro.br_test.rb", "test/whois/answer/parser/whois.registry.in_test.rb", "test/whois/answer/parser/whois.registrypro.pro_test.rb", "test/whois/answer/parser/whois.ripe.net_test.rb", "test/whois/answer/parser/whois.ripn.net_test.rb", "test/whois/answer/parser/whois.rotld.ro_test.rb", "test/whois/answer/parser/whois.samoanic.ws_test.rb", "test/whois/answer/parser/whois.srs.net.nz_test.rb", "test/whois/answer/parser/whois.za.net_test.rb", "test/whois/answer/parser/whois.za.org_test.rb", "test/whois/answer/parser_test.rb", "test/whois/answer/super_struct_test.rb", "test/whois/answer_test.rb", "test/whois/client_test.rb", "test/whois/errors_test.rb", "test/whois/integration_test.rb", "test/whois/server/adapters/afilias_test.rb", "test/whois/server/adapters/base_test.rb", "test/whois/server/adapters/formatted_test.rb", "test/whois/server/adapters/none_test.rb", "test/whois/server/adapters/not_implemented_test.rb", "test/whois/server/adapters/pir_test.rb", "test/whois/server/adapters/standard_test.rb", "test/whois/server/adapters/verisign_test.rb", "test/whois/server/adapters/web_test.rb", "test/whois/server_test.rb"]

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<rake>, ["= 0.8.7"])
      s.add_development_dependency(%q<echoe>, ["= 4.3"])
      s.add_development_dependency(%q<mocha>, ["= 0.9.8"])
    else
      s.add_dependency(%q<rake>, ["= 0.8.7"])
      s.add_dependency(%q<echoe>, ["= 4.3"])
      s.add_dependency(%q<mocha>, ["= 0.9.8"])
    end
  else
    s.add_dependency(%q<rake>, ["= 0.8.7"])
    s.add_dependency(%q<echoe>, ["= 4.3"])
    s.add_dependency(%q<mocha>, ["= 0.9.8"])
  end
end
